/*-
 * Copyright (c) 2011-2012       Scott Ringwelski <sgringwe@mtu.edu>
 *
 * Originally Written by Scott Ringwelski for BeatBox Music Player
 * BeatBox Music Player: http://www.launchpad.net/beat-box
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

using Gee;
using Gtk;

public class BeatBox.PodcastViewWrapper : ViewWrapper {
	HashMap<int, Device> welcome_screen_keys;
	
	public PodcastViewWrapper(LibraryWindow lw, Collection<Media> the_medias, TreeViewSetup tvs, int id) {
		base(lw, the_medias, tvs, id);
		
		welcome_screen_keys = new HashMap<int, Device>();
		
		var podcast_icon = Icons.PODCAST.render (IconSize.DIALOG, null);
		welcome_screen.append_with_pixbuf(podcast_icon, _("Search"), _("Find RSS feeds online."));
		
		welcome_screen.activated.connect(welcome_screen_activated);
	}
	
	void welcome_screen_activated(int index) {
		if(index == 0) {
			try {
				Thread.create<void*>(take_action, false);
			}
			catch(GLib.ThreadError err) {
				stdout.printf("ERROR: Could not create thread to have fun: %s \n", err.message);
			}
		}
	}
	
	public void* take_action () {
		try {
			GLib.AppInfo.launch_default_for_uri ("https://www.miroguide.com/toprated/", null);
		}
		catch(Error err) {
			stdout.printf("Couldn't open miro guide webpage: %s\n", err.message);
		}
		
		return null;
	}
}

